function [ xyY ] = XYZ2Yxy( XYZ )
%input(XYZ): 3-by-n vector of tristimulus values
%output(xyY): 3-by-n vector of chromaticity coordinates and luminance factor
%   n is the number of samples

denom = sum(XYZ);
denom3 = [denom;denom;denom];
%now I get 3-by-n matrix of X+Y+Z sum (the cells in each column has same values)

xyz = XYZ./denom3;
%devide each element of XYZ by each element of denom3(X+Y+Z sum)

x = xyz(1,:);
y = xyz(2,:);
Y = XYZ(2,:);

xyY = [Y;x;y];

end

