function [ list_obsID ] = fnc_getSpecificObsID( prmStr, prmTarget )

%{
clear all; 

prmStr = 'Glasses/Contact [Y/N]'; 
prmTarget = 'Y'; 

prmStr = 'Age'; 
prmTarget = '%f>40'; % where %f is the age for each observer
prmTarget = 'round(%f/10)*10==40'; % where %f is the age for each observer

%}


% Get list of obsID and the given parameter string
[ list_All_obsID ] = fnc_readObsData( 'ObsID' ); 
[ list_All_prmStr ] = fnc_readObsData( prmStr ); 
n_obsAll = length(list_All_obsID); 


% Find obsID that has specified 'prmTarget'
idx_list = false(1,n_obsAll); % create blank logical vector

if iscell(list_All_prmStr) % prmStr is not number
    
    for k = 1:n_obsAll
        if strcmp( prmTarget , list_All_prmStr(k) )
            idx_list(k) = 1;
        else
            idx_list(k) = 0;
        end
    end
    
else % prmStr is number
    for k = 1:n_obsAll
        
        s1 = sprintf( prmTarget, list_All_prmStr(k) ); 
        if eval(s1)
            idx_list(k) = 1;
        else
            idx_list(k) = 0;
        end
    end
end


list_obsID = list_All_obsID(idx_list); 

end

