function [ prmList ] = fnc_readObsData( prmStr )
% Read Observer Data (Age, Region, ...)
%{
prmStr = 'Age'; 
%}

[num,txt,raw] = xlsread('ObsData.xls'); 

k = 1;
while k <= size(raw,1)
    if strcmp(prmStr, raw(k,1) )
        t_prmList = raw(k,2:end);
    end
    k = k + 1;
end


if isnumeric( t_prmList{1} ) % prmStr is number
    prmList = cell2mat(t_prmList); 
    
else % prmStr is not number
    prmList = t_prmList; 
    
end



%{
[num,txt,raw] = xlsread('ObsData.xls'); 
list_Num = [1 4]; 

k = 1;
while k <= size(raw,1)
    
    % prmStr is number
    if min(abs(repmat(k,1,length(list_Num))-list_Num)) == 0
        if strcmp(prmStr, raw(k,1) )
            for k_list = 1:size(raw,2)-1
                prmList(k_list) = cell2mat(raw(k,k_list+1));
            end
        end
        
    % prmStr is not number
    else
        
        if strcmp(prmStr, raw(k,1) )
            prmList = raw(k,2:end);
        end
    end
    
    k = k + 1;
end

%}


end