function XYZ = Yxy2XYZ(Yxy)
% XYZ = xyY2XYZ(xyY)
%
% Compute tristimulus coordinates from
% chromaticity and luminance.
%
% 8/24/09  dhb  Look at it.

[m,n] = size(Yxy);
XYZ = zeros(m,n);
for i = 1:n
  z = 1 - Yxy(2,i) - Yxy(3,i);
  XYZ(1,i) = Yxy(1,i)*Yxy(2,i)/Yxy(3,i);
  XYZ(2,i) = Yxy(1,i);
  XYZ(3,i) = Yxy(1,i)*z/Yxy(3,i);
end
