function [ SPD_gauss ] = getSPDgauss( peak, width, wv )
% Get SPD with a specified peak and width

%{
wv = 380:1:780; 
peak = 600; 
width = 0.01; 

%}

%% 
% y = gaussmf(x,[sigma center]) 
% SPD_gauss = gaussmf(wv,[width peak])'; 
SPD_gauss = exp( -(wv-peak).^2./(2*width^2) )'; 

end

